Skip to main content
POST
/
report_schedules
curl https://production.methodfi.com/report_schedules \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "types": ["ach.pull.nightly"],
    "delivery_methods": ["webhook", "email"],
    "recipients": ["example@methodfi.com"],
    "cron": "0 8 * * *"
  }'
{
  "id": "rpt_sch_Gqjh8pzeUfzH6",
  "types": [
    "ach.pull.nightly"
  ],
  "delivery_methods": [
    "webhook",
    "email"
  ],
  "recipients": [
    "example@methodfi.com"
  ],
  "cron": "0 8 * * *",
  "status": "active",
  "created_at": "2026-06-01T13:21:10.386Z",
  "updated_at": "2026-06-01T13:21:10.386Z"
}
Creates a new Report Schedule. Once created, the first run is queued immediately for the next scheduled date, and reports will continue to be generated and delivered on the cadence defined by the cron expression.

Body

Returns

Returns the newly created Report Schedule object.
curl https://production.methodfi.com/report_schedules \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "types": ["ach.pull.nightly"],
    "delivery_methods": ["webhook", "email"],
    "recipients": ["example@methodfi.com"],
    "cron": "0 8 * * *"
  }'
{
  "id": "rpt_sch_Gqjh8pzeUfzH6",
  "types": [
    "ach.pull.nightly"
  ],
  "delivery_methods": [
    "webhook",
    "email"
  ],
  "recipients": [
    "example@methodfi.com"
  ],
  "cron": "0 8 * * *",
  "status": "active",
  "created_at": "2026-06-01T13:21:10.386Z",
  "updated_at": "2026-06-01T13:21:10.386Z"
}